# LogRecord Class Reference
[Various accompanying utilities]

List of all members.

## Public Member Functions

| __construct ()
| setMessage ($message)
| getMessage ()
| setDate (Timestamp $date)
| getDate ()
| setLevel (LogLevel $level)
| getLevel ()
| toString ()
| returns message in human readable form, ex:

## Static Public Member Functions

static | create ()

## Private Attributes

| $message = null
| $level = LogLevel::INFO
| $date = null

## Detailed Description

Definition at line 15 of file LogRecord.class.php.

## Constructor & Destructor Documentation

LogRecord::__construct | ( |  | ) |

Definition at line 22 of file LogRecord.class.php.

References Timestamp::makeNow().

Here is the call graph for this function:

## Member Function Documentation

static LogRecord::create | ( |  | ) | `[static]`

Returns:
  LogRecord

Definition at line 30 of file LogRecord.class.php.

Referenced by BaseLogger::log().

LogRecord::getDate | ( |  | ) |

Returns:
  Timestamp

Definition at line 65 of file LogRecord.class.php.

LogRecord::getLevel | ( |  | ) |

Returns:
  LogLevel

Definition at line 83 of file LogRecord.class.php.

Referenced by BaseLogger::logRecord().

LogRecord::getMessage | ( |  | ) |

Definition at line 47 of file LogRecord.class.php.

LogRecord::setDate | ( | Timestamp $ | date | ) |

Returns:
  LogRecord

Definition at line 55 of file LogRecord.class.php.

LogRecord::setLevel | ( | LogLevel $ | level | ) |

Returns:
  LogRecord

Definition at line 73 of file LogRecord.class.php.

LogRecord::setMessage | ( | $ | message | ) |

Returns:
  LogRecord

Definition at line 38 of file LogRecord.class.php.

References $message, and Assert::isString().

Here is the call graph for this function:

LogRecord::toString | ( |  | ) |

returns message in human readable form, ex:

Jul 7 07:07:07 warning: all your base are belong to us

Definition at line 93 of file LogRecord.class.php.

Referenced by StreamLogger::publish().

## Member Data Documentation

LogRecord::$date = null`[private]`

Definition at line 20 of file LogRecord.class.php.

LogRecord::$level = LogLevel::INFO `[private]`

Definition at line 18 of file LogRecord.class.php.

LogRecord::$message = null`[private]`

Definition at line 17 of file LogRecord.class.php.

Referenced by setMessage().

The documentation for this class was generated from the following file:

- main/Utils/Logging/LogRecord.class.php